Subject: Re: [PATCH] diff-tree: do not show the sha1 of the given head with --quiet

From: Jeff King <[email-masked]>
Date: Thu, 23 Jul 2015 23:56:01 -0700

On Thu, Jul 23, 2015 at 10:02:27PM +0200, Sebastian Schuberth wrote:

> On Thu, Jul 23, 2015 at 8:08 PM, Jeff King <[email-masked]> wrote:
> 
> > mode. Actually asking for a two-endpoint tree diff:
> >
> >   git diff-tree --quiet --ignore-space-change $commit^ $commit
> >
> > will do what you want.
> 
> Yes, I know, thanks. But I deliberately wanted to specify only a
> single commit as an optimization, hoping that it would be slightly
> faster than computing a commit range.

Ah, I see. It should not be any faster, as git has to internally find
the first-parent of $commit either way. The big thing you lose with the
above syntax is that you are specifying two endpoints, so you cannot do
anything clever with merge commits (e.g., if you gave "--cc").

-Peff